package domain

type AlibabaWdkCouponTemplateQueryCouponTemplateDiscountConfig struct {
	/*
	   是否减钱     */
	Decrease *bool `json:"decrease,omitempty" `

	/*
	   减钱金额     */
	DecreaseMoney *int64 `json:"decrease_money,omitempty" `

	/*
	   是否打折     */
	Discount *bool `json:"discount,omitempty" `

	/*
	   打折额度     */
	DiscountRate *int64 `json:"discount_rate,omitempty" `

	/*
	   是否固定价格     */
	FixPrice *bool `json:"fix_price,omitempty" `

	/*
	   优惠后的固定价格     */
	FixPriceAmount *int64 `json:"fix_price_amount,omitempty" `
}

func (s *AlibabaWdkCouponTemplateQueryCouponTemplateDiscountConfig) SetDecrease(v bool) *AlibabaWdkCouponTemplateQueryCouponTemplateDiscountConfig {
	s.Decrease = &v
	return s
}
func (s *AlibabaWdkCouponTemplateQueryCouponTemplateDiscountConfig) SetDecreaseMoney(v int64) *AlibabaWdkCouponTemplateQueryCouponTemplateDiscountConfig {
	s.DecreaseMoney = &v
	return s
}
func (s *AlibabaWdkCouponTemplateQueryCouponTemplateDiscountConfig) SetDiscount(v bool) *AlibabaWdkCouponTemplateQueryCouponTemplateDiscountConfig {
	s.Discount = &v
	return s
}
func (s *AlibabaWdkCouponTemplateQueryCouponTemplateDiscountConfig) SetDiscountRate(v int64) *AlibabaWdkCouponTemplateQueryCouponTemplateDiscountConfig {
	s.DiscountRate = &v
	return s
}
func (s *AlibabaWdkCouponTemplateQueryCouponTemplateDiscountConfig) SetFixPrice(v bool) *AlibabaWdkCouponTemplateQueryCouponTemplateDiscountConfig {
	s.FixPrice = &v
	return s
}
func (s *AlibabaWdkCouponTemplateQueryCouponTemplateDiscountConfig) SetFixPriceAmount(v int64) *AlibabaWdkCouponTemplateQueryCouponTemplateDiscountConfig {
	s.FixPriceAmount = &v
	return s
}
